Subject: Re: remote.<name>.merge missing from the git-config man page?

From: Andreas Schwab <[email-masked]>
Date: Mon, 08 Mar 2021 22:58:59 +0100

On Mär 08 2021, Taylor Blau wrote:

> On Mon, Mar 08, 2021 at 09:57:56PM +0100, Andreas Schwab wrote:
>> The configured upstream is the value of branch.<name>.merge, isn't it?
>> That would be the name of a remote, not the name of a branch.
>
> Right; the '<name>' in 'branch.<name>.merge' is your local name for a
> branch, but the value of that configuration is the remote's name.

Sorry, I was misreading branch.<name>.merge as branch.<name>.remote.
Now it makes all sense to me.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."